Bug 980460 - touch screen not working properly in GNOME
touch screen not working properly in GNOME
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-evdev (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: beta
: 7.0
Assigned To: Peter Hutterer
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 08:25 EDT by Vladimir Benes
Modified: 2014-02-18 07:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 00:19:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2013-07-02 08:25:20 EDT
Description of problem:
MT is working really oddly in GNOME Shell 3.8 I can do some sort of work with it but single click is slowed down in control-center test app by half a second or so and to perform double click I need to click 3 times. So now it's really difficult if you are in one application to drag and drop other non focused one as you are mostly dragging the previous focused one (because of that slowness?)

Multiple screen with one classic and one touch screen is even in worse condition, I will file another bug for that. 

I can see xorg log full of one error (don't know if that is connected to it but I suspect it is)
[   330.081] (EE) Backtrace:
[   330.081] (EE) 0: /usr/bin/Xorg (xorg_backtrace+0x3d) [0x46885d]
[   330.081] (EE) 1: /usr/bin/Xorg (0x400000+0x5e067) [0x45e067]
[   330.082] (EE) 2: /usr/bin/Xorg (0x400000+0x1256a5) [0x5256a5]
[   330.082] (EE) 3: /usr/bin/Xorg (0x400000+0x1250c8) [0x5250c8]
[   330.082] (EE) 4: /usr/bin/Xorg (0x400000+0x127cb0) [0x527cb0]
[   330.082] (EE) 5: /usr/bin/Xorg (0x400000+0x1486f6) [0x5486f6]
[   330.082] (EE) 6: /usr/bin/Xorg (mieqProcessDeviceEvent+0x1cd) [0x57600d]
[   330.082] (EE) 7: /usr/bin/Xorg (mieqProcessInputEvents+0xf7) [0x576127]
[   330.082] (EE) 8: /usr/bin/Xorg (ProcessInputEvents+0x9) [0x485689]
[   330.082] (EE) 9: /usr/bin/Xorg (0x400000+0x368b2) [0x4368b2]
[   330.082] (EE) 10: /usr/bin/Xorg (0x400000+0x261da) [0x4261da]
[   330.082] (EE) 11: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x7fd0616dab75]
[   330.082] (EE) 12: /usr/bin/Xorg (0x400000+0x26521) [0x426521]
[   330.082] (EE)
[   330.089] (EE) BUG: triggered 'if (!(event->device_event.flags & (1 << 5)))'
[   330.089] (EE) BUG: touch.c:621 in TouchConvertToPointerEvent()
[   330.089] (EE) Non-emulating touch event
[   330.089] (EE)
[   330.089] (EE) Backtrace:
[   330.089] (EE) 0: /usr/bin/Xorg (xorg_backtrace+0x3d) [0x46885d]
[   330.090] (EE) 1: /usr/bin/Xorg (0x400000+0x5e067) [0x45e067]
[   330.090] (EE) 2: /usr/bin/Xorg (0x400000+0x1256a5) [0x5256a5]
[   330.090] (EE) 3: /usr/bin/Xorg (0x400000+0x1250c8) [0x5250c8]
[   330.090] (EE) 4: /usr/bin/Xorg (0x400000+0x127cb0) [0x527cb0]
[   330.090] (EE) 5: /usr/bin/Xorg (0x400000+0x1486f6) [0x5486f6]
[   330.090] (EE) 6: /usr/bin/Xorg (mieqProcessDeviceEvent+0x1cd) [0x57600d]
[   330.090] (EE) 7: /usr/bin/Xorg (mieqProcessInputEvents+0xf7) [0x576127]
[   330.090] (EE) 8: /usr/bin/Xorg (ProcessInputEvents+0x9) [0x485689]
[   330.090] (EE) 9: /usr/bin/Xorg (0x400000+0x368b2) [0x4368b2]
[   330.090] (EE) 10: /usr/bin/Xorg (0x400000+0x261da) [0x4261da]
[   330.090] (EE) 11: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x7fd0616dab75]
[   330.090] (EE) 12: /usr/bin/Xorg (0x400000+0x26521) [0x426521]
[   330.090] (EE)
[   330.114] (EE) BUG: triggered 'if (!(event->device_event.flags & (1 << 5)))'
[   330.114] (EE) BUG: touch.c:621 in TouchConvertToPointerEvent()
[   330.114] (EE) Non-emulating touch event
[   330.114] (EE)
[   330.114] (EE) Backtrace:
[   330.114] (EE) 0: /usr/bin/Xorg (xorg_backtrace+0x3d) [0x46885d]
[   330.114] (EE) 1: /usr/bin/Xorg (0x400000+0x5e067) [0x45e067]
[   330.114] (EE) 2: /usr/bin/Xorg (0x400000+0x1256a5) [0x5256a5]
[   330.114] (EE) 3: /usr/bin/Xorg (0x400000+0x125298) [0x525298]
[   330.114] (EE) 4: /usr/bin/Xorg (0x400000+0x127cb0) [0x527cb0]
[   330.114] (EE) 5: /usr/bin/Xorg (0x400000+0x1486f6) [0x5486f6]
[   330.114] (EE) 6: /usr/bin/Xorg (mieqProcessDeviceEvent+0x1cd) [0x57600d]
[   330.114] (EE) 7: /usr/bin/Xorg (mieqProcessInputEvents+0xf7) [0x576127]
[   330.114] (EE) 8: /usr/bin/Xorg (ProcessInputEvents+0x9) [0x485689]
[   330.114] (EE) 9: /usr/bin/Xorg (0x400000+0x368b2) [0x4368b2]
[   330.114] (EE) 10: /usr/bin/Xorg (0x400000+0x261da) [0x4261da]
[   330.114] (EE) 11: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x7fd0616dab75]
[   330.114] (EE) 12: /usr/bin/Xorg (0x400000+0x26521) [0x426521]
[   330.114] (EE)

I am not sure if my touch screen is somehow broken or it's really evdev driver issue.

I am on kernel 3.10, maybe worth trying 3.9 or so.
xorg-x11-drv-evdev-2.8.0-1.el7.x86_64
xorg-x11-server-Xorg-1.14.1-4.el7.x86_64 
GNOME-3.8.3
Comment 1 Peter Hutterer 2013-07-08 02:13:43 EDT
same package version here and I can confirm:
* in the mouse/touchpad test your settings screen, the tap-to-click is delayed by about half a second to a second
* I can barely trigger the double-click, only managed to do it twice
* right-button click with one finger down, then second finger tap works
* using a single finger in control-center or other apps has a slight delay, less than in the test your settings screen

For the touch screen I need an evemu recording please. RHEL7 packages are here:
http://people.redhat.com/~phuttere/rpms/evemu/
Comment 2 Peter Hutterer 2013-07-11 01:11:32 EDT
nevermind, I can reproduce this on my x220t, couldn't with the other tablet for some reason. I'll have a closer look.
Comment 9 Peter Hutterer 2013-08-27 00:19:36 EDT
Closing this one closed, the actual MT support in the server seems to work now.

Note You need to log in before you can comment on or make changes to this bug.